{"title":"Update attachments (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_attachment_patch/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_attachment_patch, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_attachment_patch","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Uploads the attachment in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Update attachments (v1.0)","slug":"update-attachments-v10","at":0,"chars":1110},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":71,"chars":267},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":338,"chars":135},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":473,"chars":383},{"level":2,"title":"Related information","slug":"related-information","at":856,"chars":254}],"text":"# Update attachments (v1.0)\nUpdate the attachment in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({companyId})/attachments(parentId={parentId},id={attachmentId})/content\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\nIf-Match|application/json\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v1.0/companies({companyId})/attachments(parentId={parentId},id={attachmentId})/content\n```\nRequest body\nRequest body contains the attachment.\nResponse\nIf successful, this method returns ```204 No Content``` response code. It does not return anything in the response body.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_attachment\ndynamics_attachment_get\ndynamics_attachment_create\nUpload Attachment<dynamics_attachment_patch>\ndynamics_attachment_delete"}